
From: Mauro Carvalho Chehab <mchehab@brturbo.com.br>

- Removed unused structures.
- CodingStyle rules applied to comments.

Signed-off-by: Mauro Carvalho Chehab <mchehab@brturbo.com.br>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/msp3400.c |   25 ++++---------------------
 drivers/media/video/tda7432.c |   13 -------------
 drivers/media/video/tda9875.c |   13 -------------
 drivers/media/video/tvaudio.c |    5 -----
 include/media/audiochip.h     |    3 +--
 5 files changed, 5 insertions(+), 54 deletions(-)

diff -puN drivers/media/video/msp3400.c~v4l-i2c-miscelaneous drivers/media/video/msp3400.c
--- devel/drivers/media/video/msp3400.c~v4l-i2c-miscelaneous	2005-07-08 22:38:42.000000000 -0700
+++ devel-akpm/drivers/media/video/msp3400.c	2005-07-08 22:38:42.000000000 -0700
@@ -567,10 +567,6 @@ static void msp3400c_set_audmode(struct 
 	switch (audmode) {
 	case V4L2_TUNER_MODE_STEREO:
 		src = 0x0020 | nicam;
-#if 0
-		/* spatial effect */
-		msp3400c_write(client,I2C_MSP3400C_DFP, 0x0005,0x4000);
-#endif
 		break;
 	case V4L2_TUNER_MODE_MONO:
 		if (msp->mode == MSP_MODE_AM_NICAM) {
@@ -741,16 +737,14 @@ static int msp34xx_sleep(struct msp3400c
 			set_current_state(TASK_INTERRUPTIBLE);
 			schedule();
 		} else {
-#if 0
-			/* hmm, that one doesn't return on wakeup ... */
-			msleep_interruptible(timeout);
-#else
 			set_current_state(TASK_INTERRUPTIBLE);
 			schedule_timeout(msecs_to_jiffies(timeout));
-#endif
 		}
 	}
-	try_to_freeze();
+	if (current->flags & PF_FREEZE) {
+		refrigerator ();
+	}
+
 	remove_wait_queue(&msp->wq, &wait);
 	return msp->restart;
 }
@@ -1154,17 +1148,10 @@ static int msp3410d_thread(void *data)
 					    MSP_CARRIER(10.7));
 			/* scart routing */
 			msp3400c_set_scart(client,SCART_IN2,0);
-#if 0
-			/* radio from SCART_IN2 */
-			msp3400c_write(client,I2C_MSP3400C_DFP, 0x08, 0x0220);
-			msp3400c_write(client,I2C_MSP3400C_DFP, 0x09, 0x0220);
-			msp3400c_write(client,I2C_MSP3400C_DFP, 0x0b, 0x0220);
-#else
 			/* msp34xx does radio decoding */
 			msp3400c_write(client,I2C_MSP3400C_DFP, 0x08, 0x0020);
 			msp3400c_write(client,I2C_MSP3400C_DFP, 0x09, 0x0020);
 			msp3400c_write(client,I2C_MSP3400C_DFP, 0x0b, 0x0020);
-#endif
 			break;
 		case 0x0003:
 		case 0x0004:
@@ -1507,10 +1494,6 @@ static int msp_attach(struct i2c_adapter
 		return -1;
 	}
 
-#if 0
-	/* this will turn on a 1kHz beep - might be useful for debugging... */
-	msp3400c_write(c,I2C_MSP3400C_DFP, 0x0014, 0x1040);
-#endif
 	msp3400c_setvolume(c, msp->muted, msp->volume, msp->balance);
 
 	snprintf(c->name, sizeof(c->name), "MSP34%02d%c-%c%d",
diff -puN drivers/media/video/tda7432.c~v4l-i2c-miscelaneous drivers/media/video/tda7432.c
--- devel/drivers/media/video/tda7432.c~v4l-i2c-miscelaneous	2005-07-08 22:38:42.000000000 -0700
+++ devel-akpm/drivers/media/video/tda7432.c	2005-07-08 22:38:42.000000000 -0700
@@ -243,19 +243,6 @@ static int tda7432_write(struct i2c_clie
 }
 
 /* I don't think we ever actually _read_ the chip... */
-#if 0
-static int tda7432_read(struct i2c_client *client)
-{
-	unsigned char buffer;
-	d2printk("tda7432: In tda7432_read\n");
-	if (1 != i2c_master_recv(client,&buffer,1)) {
-		printk(KERN_WARNING "tda7432: I/O error, trying (read)\n");
-		return -1;
-	}
-	dprintk("tda7432: Read 0x%02x\n", buffer);
-	return buffer;
-}
-#endif
 
 static int tda7432_set(struct i2c_client *client)
 {
diff -puN drivers/media/video/tda9875.c~v4l-i2c-miscelaneous drivers/media/video/tda9875.c
--- devel/drivers/media/video/tda9875.c~v4l-i2c-miscelaneous	2005-07-08 22:38:42.000000000 -0700
+++ devel-akpm/drivers/media/video/tda9875.c	2005-07-08 22:38:42.000000000 -0700
@@ -123,19 +123,6 @@ static int tda9875_write(struct i2c_clie
 	return 0;
 }
 
-#if 0
-static int tda9875_read(struct i2c_client *client)
-{
-	unsigned char buffer;
-	dprintk("In tda9875_read\n");
-	if (1 != i2c_master_recv(client,&buffer,1)) {
-		printk(KERN_WARNING "tda9875: I/O error, trying (read)\n");
-		return -1;
-	}
-	dprintk("Read 0x%02x\n", buffer);
-	return buffer;
-}
-#endif
 
 static int i2c_read_register(struct i2c_adapter *adap, int addr, int reg)
 {
diff -puN drivers/media/video/tvaudio.c~v4l-i2c-miscelaneous drivers/media/video/tvaudio.c
--- devel/drivers/media/video/tvaudio.c~v4l-i2c-miscelaneous	2005-07-08 22:38:42.000000000 -0700
+++ devel-akpm/drivers/media/video/tvaudio.c	2005-07-08 22:38:42.000000000 -0700
@@ -864,13 +864,8 @@ static int tda9874a_getmode(struct CHIPS
 		 * But changing the mode to VIDEO_SOUND_MONO would switch
 		 * external 4052 multiplexer in audio_hook().
 		 */
-#if 0
-		if((nsr & 0x02) && !(dsr & 0x10)) /* NSR.S/MB=1 and DSR.AMSTAT=0 */
-			mode |= VIDEO_SOUND_STEREO;
-#else
 		if(nsr & 0x02) /* NSR.S/MB=1 */
 			mode |= VIDEO_SOUND_STEREO;
-#endif
 		if(nsr & 0x01) /* NSR.D/SB=1 */
 			mode |= VIDEO_SOUND_LANG1 | VIDEO_SOUND_LANG2;
 	} else {
diff -puN include/media/audiochip.h~v4l-i2c-miscelaneous include/media/audiochip.h
--- devel/include/media/audiochip.h~v4l-i2c-miscelaneous	2005-07-08 22:38:42.000000000 -0700
+++ devel-akpm/include/media/audiochip.h	2005-07-08 22:38:42.000000000 -0700
@@ -1,5 +1,5 @@
 /*
- * $Id: audiochip.h,v 1.3 2005/06/12 04:19:19 mchehab Exp $
+ * $Id: audiochip.h,v 1.5 2005/06/16 22:59:16 hhackmann Exp $
  */
 
 #ifndef AUDIOCHIP_H
@@ -35,5 +35,4 @@
 
 /* misc stuff to pass around config info to i2c chips */
 #define AUDC_CONFIG_PINNACLE  _IOW('m',32,int)
-
 #endif /* AUDIOCHIP_H */
_
